﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample
{
    using System;
    using System.Globalization;
    using System.Net.Http;

    public class AudienceSample
    {
        private ClientConfiguration _clientConfiguration;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="c">An instance of ClientConfiguration that contains all parameters populated</param>
        public AudienceSample(ClientConfiguration clientConfiguration)
        {
            this._clientConfiguration = clientConfiguration;
        }

        public void RunGetAudiencesSample()
        {
            // **********************
            //       SETTINGS
            // **********************
            var clientId = this._clientConfiguration.ClientId;
            var clientSecret = this._clientConfiguration.ClientSecret;
            var serviceEndpoint = this._clientConfiguration.ServiceUrl;
            var tokenEndpoint = this._clientConfiguration.TokenEndpoint;

            // Get authorization token
            Console.WriteLine("Getting authorization token ");
            var accessToken = HardwareIngestionClient.GetClientCredentialAccessTokenAsync(
                tokenEndpoint,
                clientId,
                clientSecret).Result;

            // create ingestion client
            var client = new HardwareIngestionClient(accessToken, serviceEndpoint);

            // Getting a list of audience
            Console.WriteLine("Getting audience");
            dynamic audience = client.Invoke<dynamic>(
                HttpMethod.Get,
                relativeUrl: string.Format(
                    CultureInfo.InvariantCulture,
                    HardwareIngestionClient.GetAudiencesUrlTemplate,
                    HardwareIngestionClient.Version,
                    HardwareIngestionClient.Tenant),
                requestContent: null).Result;

            Console.WriteLine(audience.ToString());
        }
    }
}
