﻿
// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models
{
    using Newtonsoft.Json;
    using Newtonsoft.Json.Converters;
    /// <summary>
    /// Commit state
    /// </summary>
    public enum CommitState
    {
        /// <summary>
        /// Not yet Committed
        /// </summary>
        CommitPending,

        /// <summary>
        /// Commit is submitted by user and HDC system will validate it
        /// </summary>
        CommitReceived,

        /// <summary>
        /// Commit has failed in pre-validation checks
        /// </summary>
        CommitFailed,

        /// <summary>
        /// Commit is successful
        /// </summary>
        CommitComplete
    }
}
