﻿
// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models
{
    /// <summary>
    /// Raid questionnaire dto.
    /// </summary>
    public class RaidControllerAttributes
    {
        /// <summary>
        /// Gets or sets the raid firmware version.
        /// </summary>
        public string FirmwareVersion { get; set; }

        /// <summary>
        /// Gets or sets raid filter version.
        /// </summary>
        public string FilterVersion { get; set; }

        /// <summary>
        /// Gets or sets raid driver version.
        /// </summary>
        public string DriverVersion { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether multi-pathing is supported through proprietary driver
        /// </summary>
        public bool UsedProprietary { get; set; }

        /// <summary>
        /// Gets or sets raid proprietary name.
        /// </summary>
        public string ProprietaryName { get; set; }

        /// <summary>
        /// Gets or sets raid ProprietaryVersion
        /// </summary>
        public string ProprietaryVersion { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether true if a
        /// Microsoft MPIO supported through device specific module
        /// </summary>
        public bool UsedMicrosoft { get; set; }

        /// <summary>
        /// Gets or sets raid microsoft name.
        /// </summary>
        public string MicrosoftName { get; set; }

        /// <summary>
        /// Gets or sets raid MicrosoftVersion
        /// </summary>
        public string MicrosoftVersion { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether true if Third party non-Microsoft driver needed for connectivity
        /// </summary>
        public bool IsThirdPartyNeeded { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether true if SES (SCSI Enclosure services)
        /// </summary>
        public bool IsSES { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether true if SAF-TE (ANSII Specifications)
        /// </summary>
        public bool IsSAFTE { get; set; }

        /// <summary>
        /// Gets or sets additional Questionnaire information
        /// </summary>
        public string AdditionalInfo { get; set; }
    }
}