﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    using System;
    using System.Collections.Generic;

    /// <summary>
    /// Flighing information
    /// </summary>
    public class AdditionalInfoForMSApproval
    {
        /// <summary>
        /// Gets or sets Microsoft contact
        /// </summary>
        public string MicrosoftContact { get; set; }

        /// <summary>
        /// Gets or sets list of validations performed
        /// </summary>
        public string ValidationsPerformed { get; set; }

        /// <summary>
        /// Gets or sets list of affected OEMs
        /// </summary>
        public List<string> AffectedOems { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether reboot required
        /// </summary>
        public bool IsRebootRequired { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether it is a co-engineered driver
        /// </summary>
        public bool IsCoEngineered { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether it is driver for unreleased hardware
        /// </summary>
        public bool IsForUnreleasedHardware { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether driver has a relevant UI
        /// </summary>
        public bool HasUiSoftware { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether shipping label is expedited one
        /// </summary>
        [ObsoleteAttribute("This property is not in use now & is deprecated.", false)]
        public bool IsEmergencyPublication { get; set; }

        /// <summary>
        /// Gets or sets business justification text
        /// </summary>
        public string BusinessJustification { get; set; }
    }
}
