﻿// -----------------------------------------------------------------------
// <copyright file="InServicePublishRestriction.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    using Newtonsoft.Json;
    using Newtonsoft.Json.Converters;

    /// <summary>
    /// Publishing restrictions for in-service drivers
    /// </summary>
    public class InServicePublishRestriction
    {
        /// <summary>
        /// Gets or sets InService Ceiling Restrictions
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        public RestrictionOS Ceiling { get; set; }

        /// <summary>
        /// Gets or sets InService Flooring Restrictions
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        public RestrictionOS Flooring { get; set; }
    }
}
