﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    using System;
    using System.Collections.Generic;

    /// <summary>
    /// Shipping label WU distribution information
    /// </summary>
    public class PublishingSpecifications
    {
        /// <summary>
        /// Gets or sets Go Live Date for WU distribution
        /// </summary>
        public DateTimeOffset? GoLiveDate { get; set; }

        /// <summary>
        /// Gets or sets list of publisherIDs who can just view this shipping label
        /// </summary>
        public List<long> VisibleToAccounts { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether driver has to be auto delivered during windows upgrade.
        /// </summary>
        public bool IsAutoInstallDuringOSUpgrade { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether driver has to be auto installed on all systems.
        /// </summary>
        public bool IsAutoInstallOnApplicableSystems { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether disclosure of this shipping label is restricted
        /// </summary>
        public bool IsDisclosureRestricted { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether to publish to windows10s (PublishToCloudSku in web input model)
        /// </summary>
        public bool PublishToWindows10s { get; set; }

        /// <summary>
        /// Gets or sets Driver flighting details
        /// </summary>
        public AdditionalInfoForMSApproval AdditionalInfoForMsApproval { get; set; }
    }
}
