﻿// -----------------------------------------------------------------------
// <copyright file="RestrictionOS.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>
// -----------------------------------------------------------------------

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    /// <summary>
    /// Ceiling And Flooring Restriction OS list
    /// </summary>
    public enum RestrictionOS
    {
        /// <summary>
        /// No ceiling specified
        /// </summary>
        None,

        /// <summary>
        /// OS 10.0 and build less than RS1
        /// </summary>
        TH,

        /// <summary>
        /// OS 10 RS1 build
        /// </summary>
        RS1,

        /// <summary>
        /// OS 10 RS2 build
        /// </summary>
        RS2,

        /// <summary>
        /// OS 10 RS3 build
        /// </summary>
        RS3,

        /// <summary>
        /// OS 10 RS4 build
        /// </summary>
        RS4,

        /// <summary>
        /// OS 10 RS5 and above
        /// </summary>
        RS5
    }
}
