﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    using Newtonsoft.Json;
    using Newtonsoft.Json.Converters;

    /// <summary>
    /// Shipping Label
    /// </summary>
    public class ShippingLabelForCreation
    {
        /// <summary>
        /// Gets or sets Name of shipping label
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets destination of shipping label
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        public ShippingLabelDestination Destination { get; set; }

        /// <summary>
        /// Gets or sets Recipient Specifications when shipping label is shared
        /// </summary>
        public RecipientSpecifications RecipientSpecifications { get; set; }

        /// <summary>
        /// Gets or sets Publishing Specifications when shipping label is for WU
        /// </summary>
        public PublishingSpecifications PublishingSpecifications { get; set; }

        /// <summary>
        /// Gets or sets targeting for a shipping label
        /// </summary>
        public ShippingLabelTargetingInfo Targeting { get; set; }
    }
}
