﻿// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models.ShippingLabels
{
    using System;
    using System.Collections.Generic;

    /// <summary>
    /// Targeting Info updation model.
    /// </summary>
    public class ShippingLabelTargetingInfoForUpdation : ShippingLabelTargetingBase
    {
        /// <summary>
        /// Gets or sets list of Hardware IDs to target
        /// </summary>
        public List<HardwareIdForUpdation> HardwareIds { get; set; }

        /// <summary>
        /// Gets or sets list of CHIDs to target
        /// </summary>
        public List<DistributionChidForUpdation> Chids { get; set; }

        /// <summary>
        /// Gets or sets RestrictedToAudiences
        /// </summary>
        public List<Guid> RestrictedToAudiences { get; set; }
    }
}
