﻿
// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

namespace HardwareApiCSharpSample.Models
{
    /// <summary>
    /// Storage questionnaire.
    /// </summary>
    public class StorageControllerAttributes
    {
        /// <summary>
        /// Gets or sets storage Controller BiosVersion
        /// </summary>
        public string BiosVersion { get; set; }

        /// <summary>
        /// Gets or sets storage Controller FirmwareVersion
        /// </summary>
        public string FirmwareVersion { get; set; }

        /// <summary>
        /// Gets or sets storage Controller DriverVersion
        /// </summary>
        public string DriverVersion { get; set; }

        /// <summary>
        /// Gets or sets storage Controller DriverName
        /// </summary>
        public string DriverName { get; set; }

        /// <summary>
        /// Gets or sets storage Controller DeviceVersion
        /// </summary>
        public string DeviceVersion { get; set; }

        /// <summary>
        /// Gets or sets storage Controller ChipsetName
        /// </summary>
        public string ChipsetName { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether true if Multi-pathing supported through proprietary driver
        /// </summary>
        public bool UsedProprietary { get; set; }

        /// <summary>
        /// Gets or sets raid ProprietaryName
        /// </summary>
        public string ProprietaryName { get; set; }

        /// <summary>
        /// Gets or sets raid ProprietaryVersion
        /// </summary>
        public string ProprietaryVersion { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether true if a Microsoft MPIO supported through device specific module
        /// </summary>
        public bool UsedMicrosoft { get; set; }

        /// <summary>
        /// Gets or sets storage Controller MicrosoftName
        /// </summary>
        public string MicrosoftName { get; set; }

        /// <summary>
        /// Gets or sets storage Controller MicrosoftVersion
        /// </summary>
        public string MicrosoftVersion { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether true if Boot Support
        /// </summary>
        public bool UsedBootSupport { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether true if Boot >2.2TB support
        /// </summary>
        public bool UsedBetterBoot { get; set; }

        /// <summary>
        /// Gets or sets UEFI version supported
        /// </summary>
        public string UefiVersion { get; set; }

        /// <summary>
        /// Gets or sets ACPI version supported
        /// </summary>
        public string AcpiVersion { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether support sector size of 4K/512e
        /// </summary>
        public bool SupportsSector4K512E { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether support sector size of 4K/4K
        /// </summary>
        public bool SupportsSector4K4K { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether differential (High-voltage differential)
        /// </summary>
        public bool SupportsDifferential { get; set; }
    }
}