﻿
// Sample Code is provided for the purpose of illustration only and is not intended to be used in a production environment. 
// THIS SAMPLE CODE AND ANY RELATED INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY 
// AND/OR FITNESS FOR A PARTICULAR PURPOSE

using System;

namespace HardwareApiCSharpSample
{
    class Program
    {
        static void Main(string[] args)
        {
            // Disclaimer - This is not a production ready code. This is just a sample.
            // You may want to write your automation just by picking sample ideas here on accessing specific resources.
            var config = new ClientConfiguration()
            {
                // Replace these IDs with your own
                ProductId = "13904900907528226",
                SubmissionId = "1152921504621490113",
                ShippingLabelId = "1152921504607000796",

                ClientId = "{clientId}",  // Replace this with your own ClientId guid
                ClientSecret = "{clientSecret}", // Replace this with your ClientSecret key
                ServiceUrl = "https://manage.devcenter.microsoft.com",
                TokenEndpoint = "https://login.microsoftonline.com/{yourTenant}.onmicrosoft.com/oauth2/token", // Replace with your tenant name
                Scope = "https://manage.devcenter.microsoft.com",
            };

            // product-submission creation sample
            new ProductSubmissionUpdateSample(config).RunProductSubmissionUpdateSample();

            // shipping label creation samples
            new ShippingLabelSamples(config).RunShippingLabelSamples();

            // audience sample
            new AudienceSample(config).RunGetAudiencesSample();

            // metadata sample
            new MetadataSample(config).RunMetadataDownloadSample();

            // Don't exit - Keep the window open
            Console.ReadLine();
        }
    }
}
